Package org.spongepowered.asm.service

## Interface IFeatureValidator

    public interface IFeatureValidator

Feature validators are responsible for deciding if certain features are allowed in given contexts.

### Field Summary

Fields
`static IFeatureValidator` `ALLOW_ALL` Allows all features.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `validateEnumExtension​(IMixinInfo mixin, ClassInfo targetClass)` Decides whether the given mixin can enum-extend the given target class.

### Field Detail

#### ALLOW_ALL

    static final IFeatureValidator ALLOW_ALL

Allows all features.

### Method Detail

#### validateEnumExtension

    void validateEnumExtension​(IMixinInfo mixin,
                               ClassInfo targetClass)
                        throws org.spongepowered.asm.mixin.transformer.throwables.InvalidMixinException

Decides whether the given mixin can enum-extend the given target class. If not, should throw an `InvalidMixinException` with an informative error as to why this is not allowed.

Parameters:
  `mixin` - the enum extension Mixin
  `targetClass` - the target class the Mixin is trying to extend
Throws:
  `org.spongepowered.asm.mixin.transformer.throwables.InvalidMixinException`